/*
 *******************************************************************
 *              TMark favorites plugin for TVBrowser               *
 *                                                                 *
 * Copyright (C) 2006 Tomas Schackert.                             *
 * Contact koumori@web.de                                          *
 *******************************************************************

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, in version 2 of the License.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program, in a file called LICENSE in the top
 directory of the distribution; if not, write to 
 the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA  02111-1307  USA
 
 *******************************************************************/

package tmarkplugin.properties;

import java.awt.Color;
import java.awt.Font;
import java.util.Enumeration;

/**
 * @author Tomas
 *
 */
public class DummyPropertySource extends PropertySource {
	public String setProperty(String key, String value) {
		return null;
	}
	public String getProperty(String key, String defaultvalue) {
		return defaultvalue;
	}
	public Enumeration getPropertyKeys() {
		return new Enumeration(){
			public boolean hasMoreElements() {
				return false;
			}
			public Object nextElement() {
				return null;
			}
		};
	}
	public Font getFontProperty(String basekey, Font defaultvalue) {
		return defaultvalue;
	}
	public void setFontProperty(String basekey, Font value) {
	}
	public boolean getBoolProperty(String key, boolean defaultval) {
		return defaultval;
	}
	public Color getColorProperty(String key, Color defaultValue) {
		return defaultValue;
	}
	public float getFloatProperty(String key, float defaultval) {
		return defaultval;
	}
	public int[] getIntArrayProperty(String key, int[] defaultValue) {
		return defaultValue;
	}
	public int getIntProperty(String key, int defaultValue) {
		return defaultValue;
	}
	public long getLongProperty(String key, long defaultval) {
		return defaultval;
	}
	public void setBoolProperty(String key, boolean value) {
	}
	public void setColorProperty(String key, Color color) {
	}
	public void setFloatProperty(String key, float value) {
	}
	public void setIntArrayProperty(String key, int[] value) {
	}
	public void setIntProperty(String key, int value) {
	}
	public void setLongProperty(String key, long value) {
	}

}
